Send a chat message
POST
/api/intake/{conversation_id}/messages
const url = 'https://example.com/api/intake/example/messages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/intake/example/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "message": "example" }'Stores a user message and returns a Memobot response. If the conversation is in AWAITING_DEAL_NAME state the message is treated as the deal name. If the message matches generate/start/go, generation is triggered (JSON response). Otherwise returns an LLM-powered streaming response (SSE) or JSON fallback.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” conversation_id
required
Conversation Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
ChatMessageRequest
object
message
required
Message
string
Example generated
{ "message": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}